Show / Hide Table of Contents

# Struct StdDeque<T>

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.STD

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct StdDeque<T>

        where T : struct

##### Type Parameters

Name | Description
--- | ---
T |

### Fields

| Improve this Doc View Source

#### ContainerBase

##### Declaration

    public void *ContainerBase

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Map

##### Declaration

    public T**Map

##### Field Value

Type | Description
--- | ---
T** |

| Improve this Doc View Source

#### MapSize

##### Declaration

    public ulong MapSize

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### MyOff

##### Declaration

    public ulong MyOff

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### MySize

##### Declaration

    public ulong MySize

##### Field Value

Type | Description
--- | ---
System.UInt64 |

### Methods

| Improve this Doc View Source

#### Get(UInt64)

##### Declaration

    public T Get(ulong index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | index |

##### Returns

Type | Description
--- | ---
T |